from axelrod.action import Action, actions_to_str
from axelrod.player import Player
from axelrod.strategy_transformers import (
    FinalTransformer,
    TrackHistoryTransformer,
)
lllIIlIlIlllllIIIll, llllIIIlIllIlIIlII = Action.C, Action.D
class IlllIlIlIlIl(Player):
    IllIIIllIlI = "strategy"
    lllIllIllIllIlllIll = {
        "memory_depth": float("inf"),
        "stochastic": False,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    def IlIIllIIll(lIllllIIlllllI, lIIlIIIl: Player) -> Action:
        if not lIllllIIlllllI.history:
            return lllIIlIlIlllllIIIll
        if lIIlIIIl.history[-1] == llllIIIlIllIlIIlII:
            return llllIIIlIllIlIIlII
        return lllIIlIlIlllllIIIll